Changes between Version 38 and Version 39 of WikiEditorForEclipsePlugin


Ignore:
Timestamp:
Aug 4, 2011, 11:46:55 AM (3 years ago)
Author:
ivangsa
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • WikiEditorForEclipsePlugin

    v38 v39  
    88!WikiEditor4Eclipse is a new plug-in providing Trac Wiki editing capabilities to Eclipse IDE.
    99
    10 === Implemented Features: ===
    11 
    12 Current version is 0.0.6 provides the following features:
     10
     11=== Implemented Features ===
     12
     13Current version is 0.1.0 provides the following features:
    1314
    1415        * Trac Wiki Servers explorer
    1516                - New hierachical tree view among other fixes
    16         * Eclipse Wiki Editor: currently, it borrows the editor from the original EclipseTracPlugin plugin.
     17        * Eclipse Wiki Editor:
     18           * Upgraded from the original EclipseTracPlugin plugin to use Mylyn [http://wiki.eclipse.org/Mylyn/WikiText Mylyn WikiText].
     19           * Spellcheck (work in progress)
    1720        * Wiki Page management: Creation, edition and page deletion.
    1821        * Concurrent edition management:
     
    2023                - Helps merge contents when a concurrent edit happens.
    2124               
    22 NOTE: upgrading to version 0.0.6 from previous version will mess with any local uncommited changes, see #5432
    23                
    24 ==== Development Version (0.0.6) ====
    25 
    26         * Fixes RPC connections to honor Eclipse Proxy settings #5948
    27        
    28 Update Site: [http://trac-hacks.org/svn/wikieditorforeclipseplugin/branches/v_0.0.x/releases/update-site/]
    2925               
    3026=== Development Plan ===
    3127
    32 ==== 0.0.x series: ====
     28==== 0.0.x series (old stable) : ====
    3329       
    3430        * Trac Wiki Server explorer with hierarchical tree.
     
    3935                - Opens a Compare/Merge Editor when a concurrent edit happens.
    4036       
    41 ==== 0.1.x series: ====
     37==== 0.1.x series (current branch): ====
    4238       
    4339        * Replace EclipseTracPlugin wiki source editor:
     
    6258=== Client ===
    6359
    64         * Add  [http://trac-hacks.org/svn/wikieditorforeclipseplugin/branches/v_0.0.x/releases/update-site/] to Eclipse Update Manager (Help -> Software Updates -> Available Software -> Add Site). This plugin requires Java Runtime version 1.5 or higher and Eclipse SDK 3.2 or higher (it was tested successfully on Eclipse SDK 3.4.2).
    65 
     60!Install de Editor plugin using one of the following update sites:
     61
     62  * '''0.0.6''' http://trac-hacks.org/svn/wikieditorforeclipseplugin/update-site/v_0.0.x
     63  * '''0.1.x''' http://trac-hacks.org/svn/wikieditorforeclipseplugin/update-site/v_0.1.x
    6664
    6765